SphericalCornerBuilder Class

class NXOpen.Features.SphericalCornerBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.SphericalCorner builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateSphericalCornerBuilder()

Default values.

Property Value
Radius.Value 5 (millimeters part), 0.25 (inches part)

New in version NX8.5.0.

Properties

Property Description
AngleTol Returns or sets the Angular Tolerance
DistanceTol Returns or sets the Distance Tolerance
HelpPoint Returns or sets the Help point acquired from the first face set selection
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
Radius Returns the Radius of the spherical corner
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
Wall1 Returns the wall faces 1
Wall2 Returns the wall faces 2
Wall3 Returns the wall faces 3

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

AngleTol

SphericalCornerBuilder.AngleTol

Returns or sets the Angular Tolerance

-------------------------------------

Getter Method

Signature AngleTol

Returns:
Return type:float

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AngleTol

Parameters:angleTol (float) –

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

DistanceTol

SphericalCornerBuilder.DistanceTol

Returns or sets the Distance Tolerance

-------------------------------------

Getter Method

Signature DistanceTol

Returns:
Return type:float

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceTol

Parameters:distanceTol (float) –

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

HelpPoint

SphericalCornerBuilder.HelpPoint

Returns or sets the Help point acquired from the first face set selection

-------------------------------------

Getter Method

Signature HelpPoint

Returns:
Return type:NXOpen.Point

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature HelpPoint

Parameters:helpPoint (NXOpen.Point) –

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Radius

SphericalCornerBuilder.Radius

Returns the Radius of the spherical corner

-------------------------------------

Getter Method

Signature Radius

Returns:
Return type:NXOpen.Expression

New in version NX8.5.0.

License requirements: None.

Wall1

SphericalCornerBuilder.Wall1

Returns the wall faces 1

-------------------------------------

Getter Method

Signature Wall1

Returns:
Return type:NXOpen.GeometricUtilities.FaceSetData

New in version NX8.5.0.

License requirements: None.

Wall2

SphericalCornerBuilder.Wall2

Returns the wall faces 2

-------------------------------------

Getter Method

Signature Wall2

Returns:
Return type:NXOpen.GeometricUtilities.FaceSetData

New in version NX8.5.0.

License requirements: None.

Wall3

SphericalCornerBuilder.Wall3

Returns the wall faces 3

-------------------------------------

Getter Method

Signature Wall3

Returns:
Return type:NXOpen.GeometricUtilities.FaceSetData

New in version NX8.5.0.

License requirements: None.

Method Detail

Validate

SphericalCornerBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.